Subject: Re: bug#26153: 26.0.50; Garbage displayed at visual line boundaries

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Mar 2017 15:28:53 +0200

> From: Yuri D'Elia <[email-masked]>
> Date: Sat, 18 Mar 2017 13:00:40 +0100
> 
> In the last weeks a new issue crept up in the display engine. Some
> visual garbage is drawn at the horizontal lower/upper edge when using
> hl-line-mode, on the region, or anything that redraws the current visual
> line to fill the background.
> 
> See the attached screenshot, captured with emacs -Q on the current
> master, with the lucid toolkit.
> 
> Evaluate the test file, then move the pointer down one line at a time,
> until garbage is visible.

I don't see any garbage when I do this, but maybe that's because my
Emacs is built without optimizations.  Or maybe this is specific to X?

> Changing the font weight seems necessary to trigger this issue

Tried that, it didn't help.

> as well some hidden properties in the line.

What does this mean in practice?  What should I try changing?

> This seems to have been introduced around commit
> d546be31a9320d94769cb322f008f49d08d852a8 ("Fix display of
> mouse-highlight produced by overlapping overlays") or earlier.
> 
> If the exact commit would be helpful, I can try to pinpoint it.

Please do, as the above commit had to do with mouse-highlight, which I
don't see in your recipe.

Thanks.